MonoDevelop.Ide 0.18.0.0 System.Object
- Method
  System.Void `` Monitor where progress will be reported.Initializes the IDE.Initializes the IDE workbench and executes the startup commands. This method must be called only once.
- Method
  System.Void Executes the IDE.
- Method
  System.Void Ends the exection of the IDE.
- Property
  MonoDevelop.Ide.Gui.Workbench To be added.To be added.To be added.
- Property
  MonoDevelop.Ide.Gui.ProjectOperations To be added.To be added.To be added.
- Property
  MonoDevelop.Ide.Gui.HelpOperations To be added.To be added.To be added.
- Property
  MonoDevelop.Components.Commands.CommandManager To be added.To be added.To be added.
- Event
  System.EventHandler To be added.To be added.
- Event
  MonoDevelop.Ide.Gui.ExitEventHandler To be added.To be added.
- Event
  System.EventHandler To be added.To be added.
- Property
  System.Boolean To be added.To be added.To be added.
- Property
  MonoDevelop.Ide.Gui.IdeServices To be added.To be added.To be added.
The root IDE class.

This class provides access to several components, services and methods offered by the IDE. It is the starting point for most of the functionality available to add-ins.

`// The following call opens a file into the IDE, writes some text into it. // First of all, open the document: Document doc; doc = IdeApp.Workbench.OpenDocument ("SomeDocument.txt"); // Access to the editor and add some text IEditableTextBuffer editor = doc.Content as IEditableTextBuffer; editor.InsertText (0, "Hello world!"); // Save and close the document doc.Save (); doc.Close ();`